# Class StreamingContentSteeringParserError

#### Hierarchy

- StreamingBaseError
  - StreamingContentSteeringParserError

#####
Index

### Constructors

constructor

### Properties

category
code
error

## Constructors

### constructor

- new StreamingContentSteeringParserError(error): StreamingContentSteeringParserError

- #### Parameters

  - error: Error

  #### Returns StreamingContentSteeringParserError

  Inherited from StreamingBaseError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingBaseError.category

### `Readonly` code

code: StreamingContentSteeringParserError = ErrorCode.StreamingContentSteeringParserError

Overrides StreamingBaseError.code

### `Readonly` error

error: Error

Inherited from StreamingBaseError.error